<script setup lang="ts">
    import { ref } from 'vue'
    import { useRouter } from 'vue-router'

    const router = useRouter()

    const elusRoutes = router.currentRoute.value.matched.find(
        (record) => record.name === 'elus-service-offer-root'
    )?.children
    const activeRoute = ref(router.currentRoute.value.name)
</script>

<template>
    <v-bottom-navigation
        v-model="activeRoute"
        color="primary"
        class="position-fixed"
    >
        <v-btn
            v-for="elusRoute in elusRoutes"
            :key="elusRoute.path"
            :to="{ name: elusRoute.name }"
        >
            <v-icon>{{ elusRoute.meta?.icon }}</v-icon>
            <span>{{ elusRoute.meta?.title }}</span>
        </v-btn>
    </v-bottom-navigation>
</template>
